New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update composer.json to follow security updates for dependencies #427

Closed
pascalchevrel opened this Issue Feb 2, 2015 · 0 comments

Comments

Projects
None yet
1 participant
@pascalchevrel
Copy link
Member

pascalchevrel commented Feb 2, 2015

Using https://security.sensiolabs.org/check I see that one of our dependencies is not recent enough and has a security issue (monolog).

I recently watched a presentation by the Composer author and he advices to use the tilde operator almost systematically to make sure we have updated dependencies.

I am going to propose a composer.json patch to follow this advice.

@pascalchevrel pascalchevrel self-assigned this Feb 2, 2015

pascalchevrel added a commit to pascalchevrel/transvision that referenced this issue Feb 2, 2015

Issue mozfr#427: update the way we fetch dependencies in composer
- use tilde operator instead of *
- by default, check out all feature and security updates (1.x.x) but not API breaks (1.x going to 2.x)

pascalchevrel added a commit to pascalchevrel/transvision that referenced this issue Feb 4, 2015

Issue mozfr#427: update the way we fetch dependencies in composer
- use tilde operator instead of *
- by default, check out all feature and security updates (1.x.x) but not API breaks (1.x going to 2.x)
- use release versions of Atoum and no longer dev-master

pascalchevrel added a commit that referenced this issue Feb 4, 2015

Merge pull request #428 from pascalchevrel/update_composer
Issue #427: update the way we fetch dependencies in composer
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment